%{?perl_default_filter}
%global __provides_exclude %__provides_exclude|^perl\\(LW2\\)$
%global __provides_exclude %__provides_exclude|^perl\\(JSON::PP\\)$
%global __provides_exclude %__provides_exclude|^perl\\(JSON::backportPP::Boolean\\)$

%define subrel 1

Summary:	Web Server and CGI Scanner
Name:		nikto
Version:	2.1.5
Release:	%mkrel 9
License:	GPL
Group:		Security
URL:		http://www.cirt.net/code/nikto.shtml
Source:		http://www.cirt.net/nikto/%{name}-%{version}.tar.bz2
Patch0:		nikto-2.1.5-fhs.patch
Patch1:		nikto-2.1.5-fix-path-in-man.diff
Patch2:		nikto-2.1.5-CVE-2018-11652.patch
BuildArch:	noarch

%description
Nikto is a web server scanner which performs comprehensive tests against web
servers for multiple items, including over 3200 potentially dangerous
files/CGIs, versions on over 625 servers, and version specific problems on over
230 servers. Scan items and plugins are frequently updated and can be
automatically updated (if desired).

%prep

%setup -q
%autopatch -p1

%build

%install

install -d -m 755 %{buildroot}%{_bindir}
install -m0755 nikto.pl %{buildroot}%{_bindir}/nikto

install -d -m 755 %{buildroot}%{_sysconfdir}
install -m0644 nikto.conf %{buildroot}%{_sysconfdir}

install -d -m 755 %{buildroot}%{_datadir}/nikto
cp -pr plugins %{buildroot}%{_datadir}/nikto
cp -pr templates %{buildroot}%{_datadir}/nikto
cp -pr databases %{buildroot}%{_datadir}/nikto

install -d %{buildroot}%{_mandir}/man1
install -m0644 docs/nikto.1 %{buildroot}%{_mandir}/man1

%files
%doc docs/CHANGES.txt docs/LICENSE.txt docs/nikto_manual.html docs/nikto.dtd
%config(noreplace) %{_sysconfdir}/nikto.conf
%{_datadir}/nikto
%{_bindir}/nikto
%{_mandir}/man1/nikto.1*






%changelog
* Tue Jun 26 2018 guillomovitch <guillomovitch> 2.1.5-9.1.mga6
  (not released yet)
+ Revision: 1239904
- adapt upstream patch to fix CVE-2018-11652
- fix bogus automatic dependencies

* Mon Feb 08 2016 umeabot <umeabot> 2.1.5-9.mga6
+ Revision: 942712
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.1.5-8.mga5
+ Revision: 743591
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.5-7.mga5
+ Revision: 682889
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 tv <tv> 2.1.5-6.mga4
+ Revision: 511119
- submit to core/release!

* Fri Oct 18 2013 tv <tv> 2.1.5-5.mga4
+ Revision: 510310
- description != license tag

* Fri Oct 18 2013 umeabot <umeabot> 2.1.5-4.mga4
+ Revision: 508294
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 tv <tv> 2.1.5-2.mga3
+ Revision: 307673
- patch 1: fix path in man page
- use %%apply_patches

* Tue Oct 16 2012 guillomovitch <guillomovitch> 2.1.5-1.mga3
+ Revision: 307119
- new version
- switch to security group

* Tue Jul 19 2011 guillomovitch <guillomovitch> 2.1.4-3.mga2
+ Revision: 126493
- imported package nikto

